/*
  NSAttributedString-NIRAdditions.m

  HebrewService - system services for Hebrew users.
 
  Copyright (C) 2003-2006 Nir Soffer
 
  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details:
  http://www.gnu.org/licenses/gpl.html
*/

#import "NSAttributedString-NIRAdditions.h"
#import "NSString-NIRAdditions.h"


@implementation NSAttributedString (NSAttributedStringNIRAdditions)

- (NSRange)range; {
    // Return the full range of the reciver
    // A shortcut instead of writing this again and again
    return NSMakeRange(0, [self length]);
}

- (NSData *)RTF; {
    // Invoke -RTFFromRange:documentAttributes: with default options
    return [self RTFFromRange:[self range] documentAttributes:nil];
}
- (NSData *)RTFD; {
    // Invoke -RTFDFromRange:documentAttributes: with default options
    return [self RTFDFromRange:[self range] documentAttributes:nil];
}

@end
